/* HEADER */
header {
    height: 100px;
    width: 100%;
    background-color:var(--color-primary);
    color:var(--color-secondary);
    display: flex;
    align-items: center;
    flex-shrink: 0;
}

.nav-logo p {
    font-size: var(--font-body);
}

.nav-logo p span {
    color: var(--color-tertiary);
    font-weight: 400;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.nav-logo {
    display: flex;
    flex-direction: column;
}

.nav-logo a {
    font-size: var(--font-title);
    font-weight: 300;
}


.nav_links{
    display: flex;
    gap: 16px;
}
.nav_links a {
    font-size: var(--font-button);
    font-weight: 400;
}

/* HOME */
.bg-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; 
    z-index: -1;
}

/* FOOTER */
footer {
    height: 100px;
    width: 100%;
    background-color:var(--color-primary);
    color:var(--color-secondary);
    display: flex;
    align-items: center;
    flex-shrink: 0;
}

.footer-container {
    width: 100%;
    display: flex;
    justify-content:space-between;
    align-items: center;  
}

.footer-container a {
    font-size: var(--font-button);
    font-weight: 400;
}

.footer-sm-icons {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.footer-sm-icons a {
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-tertiary);
    transition: color .2s ease;
}

.footer-sm-icons a:hover {
    color: var(--color-secondary);
}

.sm-icon {
    width: 32px;
    height: 32px;
    fill: currentColor;
}

.imdb {
    width: 48px;
    height: 48px;
}

.linkedin {
    width: 24px;
    height: 45px;
}

.vimeo {
 height: 25px;
}

.footer-links {
    display: flex;
    gap:20px;
}

.footer-copyright {
    font-size: clamp(1rem, 1.2vw, 1.2rem);
}

/* ART */
.work_container {
    display: flex;
    flex-direction: column;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 30px;
    border-radius: 10px;
}

.works {
    display: flex;
    flex-direction: row;
    gap: 32px;
}

.work_container_wm {
    display: flex;
    flex-direction: column;
    gap:32px; 
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 30px;
    border-radius: 10px;
}



.work_img_cover {
    width: 40%;
    height: 70%;
    max-width: 500px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}

.wm_pics {
    display: flex;
    gap: 32px;

}

.work_img {
    width:100%;
    max-width:clamp(300px, 28vw, 420px);
    height: auto;
    object-fit: cover;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}

.work_text_container {
    display: flex;
    flex-direction: column;
    gap: 24px;

}

.work_text {
    color: var(--color-primary);
    font-weight: 400;
    line-height: 1.8;
}

.work_text_container a {
    display: inline-block;
    color: var(--color-secondary);
    background-color: var(--color-tertiary);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 7px;
    border: none;
    border-radius: 8px;
    font-size: var(--font-button);
    cursor: pointer;
    text-decoration: none;
    align-self: flex-start;
    transition: all 180ms ease;
}

.work_text_container a:hover {
    transform: translateX(1px) translateY(1px);
}


/* commercial   */
.commercial_projects_title {
    display: flex;
    flex-direction: column;
    align-items: center;
}

h2 {
    font-weight: 300;
}

.commercial_projects {
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 100%;  
}

.commercial_project_still {
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 30px;
    border-radius: 10px;
}

.commercial_project_video {
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 30px;
    border-radius: 10px
}


.commercial_project_still img {
    display: flex;
    width: 100%;
}

.commercial_projects p {
    width:100%;
    margin-top: 12px;
    line-height: 1.8;}

iframe {
    width: 100%;
    aspect-ratio: 16 / 9;
    border: 0; 
    display: flex;
}

/* REFERENCES */
.references-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    align-items: center;
    gap: 32px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.2);
    padding:30px;
    border-radius:10px;
    width: 100%;
}

.reference-card {
    display:flex;
    justify-content:center;
    align-items:center;
    height:70px;
}

.reference-card img {
    max-width:120px;
    max-height:70px;
    object-fit:contain;
}
/* ABOUT ME */
.about_me_content {
    display: flex;
    gap: 32px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 30px;
    border-radius: 10px;
}

.about_me_content p {
    line-height: 1.8;
      margin-bottom: 1.5rem;

}

.about_me_content img {
    height:350px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
}

.about_me_content a{
    display: inline-block;
    color: var(--color-secondary);
    background-color: var(--color-tertiary);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 7px 10px;
    border: none;
    border-radius: 8px;
    font-size: var(--font-button);
    cursor: pointer;
    text-decoration: none;
    align-self: flex-start;
    transition: all 180ms ease;
}

.about_me_content a:hover {
    transform: translateX(1px) translateY(1px);
}



/* CONTACT */
.contact {
    display: flex;
    flex-direction: column;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 30px;
    border-radius: 10px;
  
}

.contact p {
    font-size: var(--font-body);
    margin-bottom: 48px;
    line-height: 1.8;
}

.contact a {
    color: var(--color-primary);
}

.contact a:hover {
    color: var(--color-tertiary);
}


.making_of {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    
}

.photo_box {
    width: 100%;
    height: 250px;
    overflow: hidden;
}

.photo_box img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* IMPRINT */
.imprint {
    line-height: 1.8;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 30px;
    border-radius: 10px;
}

.imprint a {
    color: var(--color-primary);
}

.imprint a:hover {
    color: var(--color-tertiary);
}


/*  PRIVACY POLICY */

.privacy_policy {
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    padding: 30px;
    border-radius: 10px;
}

.privacy_policy  h3 {
    margin-top: 20px;
    font-weight: 400;
    
}


.privacy_policy a {
    color: var(--color-primary);
}

.privacy_policy a:hover {
    color: var(--color-tertiary);
}

/* BURGER MENU */

.menu_toggle {
    display: none;
    background: none;
    border: none;
    color: var(--color-secondary);
    font-size: 2rem;
    cursor: pointer;
}


/* TABLET + MOBILE */

@media (max-width: 1025px) {
        .wm_pics {
    flex-direction: column;
    }

    .navbar{
        position: relative;
    }

    .menu_toggle {
        display: block;
    }

    .nav_links {
        position: absolute;
        top: 100%;
        right: 0;
       
        display: flex;
        flex-direction: column;
        gap: 10px;
        margin-right: 7px;
   
        padding: 16px 20px;
        
        background: var(--color-secondary);
        color: var(--color-primary);
        border-radius: 8px;
        box-shadow: 0 8px 24px rgba(0,0,0,.15);

        transform: scaleY(0);
        transform-origin: top right;
        transition: .2s ease;

        z-index: 1000;
    }

    .nav_links.active {
        transform: scaleY(1);
    }

    .nav_links a {
        color: black;
        white-space: nowrap;
    }

    .nav_links a:hover {
        color: var(--color-tertiary);
    }

    .works {
        flex-direction: column;
    }

    .work_img_cover,
    .work_img {
        width: 100%;
        max-width: 100%;
    }

    .work_container_wm {
        flex-direction: column;
        gap: 32px;
    }

    .about_me_content {
        flex-direction: column;
        align-items: center;
    }

    .about_me_content img {
        width: 100%;
        max-width: 350px;
        height: auto;
    }

    .references-container {
        grid-template-columns: repeat(4, 1fr);
    }

    .making_of {
        grid-template-columns: repeat(2, 1fr);
    }

    .main_content {
        padding-left: 0;
        margin-top: 60px;
    }


    /* FOOTER */
    .footer-container {
        flex-direction: column;
        gap: 5px;
        margin-top: 15px;
        margin-bottom: 25px;
    
    }

    .footer-container a {
    font-size: var(--font-body);
    }

    .sm-icon {
    width: 24px;
    height: 24px;
 
    }

    .imdb {
    width: 32px;
    height: 32px;
    }

.linkedin {
    width: 20px;
    height: 36px;
}

.vimeo {
 height: 20px;
}

}

@media (max-width:768px){


    .wrapper{
        padding:0 16px;
    }

    .work_container,
    .commercial_project_still,
    .commercial_project_video,
    .contact,
    .imprint,
    .privacy_policy,
    .about_me_content{
        padding:20px;
    }

    .references-container{
        grid-template-columns:repeat(3,1fr);
        gap:20px;
    }

    .reference-card{
        width:100%;
        height:60px;
    }

    .making_of{
        grid-template-columns:1fr;
    }

    .commercial_projects p{
        height:auto;
    }





}



@media (max-width:480px){

    .nav-logo a{
        font-size:1.8rem;
    }

    .nav-logo p{
        display:none;
    }

    .references-container{
        grid-template-columns:repeat(2,1fr);
    }

    .footer-sm-icons{
        gap:12px;
    }

    .photo_box{
        height:180px;
    }

    .main_content{
        gap:24px;
        margin-top:40px;
        margin-bottom:40px;
    }




}